"""toggle_seci_pims_auto_deletion

Revision ID: 36591dc3f14d
Revises: f06f1976489c
Create Date: 2024-02-23 15:54:54.379314

"""
from alembic import op
from pathlib import Path
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '36591dc3f14d'
down_revision = 'f06f1976489c'
branch_labels = None
depends_on = None

wf_name = 'vlass_image_caching'


# Handle the proper encoding from text -> bytea to not lose any characters
def set_wf_content(filename: str) -> bytes:
    return (Path.cwd() / "versions" / "templates" / wf_name / filename).read_text().encode()


def upgrade():
    conn = op.get_bind()

    # Pass the delete_pims parameter as an argument to vlass_image_caching.sh
    conn.execute(
        f"""
        UPDATE workflow_templates
        SET content = %s
        WHERE filename = 'vlass_image_caching.condor' and workflow_name = E'{wf_name}'
        """,
        set_wf_content("caching_condor_2.8.3.txt"),
    )

    # Run pimscache rm only if the delete_pims parameter is set
    conn.execute(
        f"""
        UPDATE workflow_templates
        SET content = %s
        WHERE filename = 'vlass_image_caching.sh' and workflow_name = E'{wf_name}'
        """,
        set_wf_content("caching_sh_2.8.3.txt"),
    )


def downgrade():
    conn = op.get_bind()

    conn.execute(
        f"""
        UPDATE workflow_templates
        SET content = %s
        WHERE filename = 'vlass_image_caching.condor' and workflow_name = E'{wf_name}'
        """,
        set_wf_content("caching_condor_2.8.2.txt"),
    )

    conn.execute(
        f"""
        UPDATE workflow_templates
        SET content = %s
        WHERE filename = 'vlass_image_caching.sh' and workflow_name = E'{wf_name}'
        """,
        set_wf_content("caching_sh_2.8.2.txt"),
    )
