"""add close request notification

Revision ID: b50243eb304b
Revises: 3c66bfdf76e3
Create Date: 2024-04-19 10:18:02.115402

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "b50243eb304b"
down_revision = "3c66bfdf76e3"
branch_labels = None
depends_on = None


content = """{{#version}}{{#parameters}}{{#metadata}}Subject: Pipeline execution failure for {{sdm_id}}

Hello,

Regarding one of your Scheduling Blocks,

{{sdm_id}}, observed on {{obs_end_time}}, {{bands}}.

{{#custom_text}}{{custom_text}}{{/custom_text}}{{^custom_text}}This scheduling block has been processed through the VLA CASA Pipeline using CASA 6.5.4, which is designed to handle Stokes I continuum data. Unfortunately, the pipeline failed to execute correctly. Please see notes below for a description of why this observation was problematic.{{/custom_text}}

{{/metadata}}{{/parameters}}{{/version}}

"""


def upgrade():
    op.execute(
        f"""
        INSERT INTO notification_templates (name, description, template) 
        VALUES ('ws_request_closed', 'Email template for when requests are closed, with email to the user', '{content}')
        """
    )


def downgrade():
    op.execute(
        f"""
        DELETE FROM notification_templates WHERE name='ws_request_closed'
        """
    )
