# Copyright (C) 2023 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
#
"""remove internal_notes default

Let the capability service set the initial value for capability_versions.internal_notes

Revision ID: c9d8e14ae603
Revises: 1c435b5d7a8d
Create Date: 2024-02-09 14:08:53.042890

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "c9d8e14ae603"
down_revision = "1c435b5d7a8d"
branch_labels = None
depends_on = None


def upgrade():
    op.execute("""alter table capability_versions alter column internal_notes drop default;""")


def downgrade():
    op.execute("""alter table capability_versions alter column internal_notes set default 'Created';""")
